Upload measurement records
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"records": [
{
"outcomeType": "<string>",
"geo": "<string>",
"timeWindowStart": "2023-12-25",
"timeWindowEnd": "2023-12-25",
"value": 123,
"source": "<string>",
"baselineValue": 123,
"confidenceInterval": 123,
"lagDays": 0
}
]
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records"
payload = { "records": [
{
"outcomeType": "<string>",
"geo": "<string>",
"timeWindowStart": "2023-12-25",
"timeWindowEnd": "2023-12-25",
"value": 123,
"source": "<string>",
"baselineValue": 123,
"confidenceInterval": 123,
"lagDays": 0
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
outcomeType: '<string>',
geo: '<string>',
timeWindowStart: '2023-12-25',
timeWindowEnd: '2023-12-25',
value: 123,
source: '<string>',
baselineValue: 123,
confidenceInterval: 123,
lagDays: 0
}
]
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Measurement
Upload measurement records
Upload outcome measurement records (sales, brand lift, etc). Upserts on (customer, advertiser, outcome_type, source, geo, time_window).
POST
/
advertisers
/
{advertiserId}
/
measurement-records
Upload measurement records
curl --request POST \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"records": [
{
"outcomeType": "<string>",
"geo": "<string>",
"timeWindowStart": "2023-12-25",
"timeWindowEnd": "2023-12-25",
"value": 123,
"source": "<string>",
"baselineValue": 123,
"confidenceInterval": 123,
"lagDays": 0
}
]
}
'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records"
payload = { "records": [
{
"outcomeType": "<string>",
"geo": "<string>",
"timeWindowStart": "2023-12-25",
"timeWindowEnd": "2023-12-25",
"value": 123,
"source": "<string>",
"baselineValue": 123,
"confidenceInterval": 123,
"lagDays": 0
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
records: [
{
outcomeType: '<string>',
geo: '<string>',
timeWindowStart: '2023-12-25',
timeWindowEnd: '2023-12-25',
value: 123,
source: '<string>',
baselineValue: 123,
confidenceInterval: 123,
lagDays: 0
}
]
})
};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/measurement-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Body
application/json
Required array length:
1 - 5000 elementsShow child attributes
Show child attributes
Response
Upload measurement records
⌘I